commit: 6398d97368629e77b8ae765cfeb12805ff3a88d5
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 30 09:57:31 2022 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Fri Sep 30 10:48:14 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6398d973
x11-misc/xtrlock: force gcc -E for imake's generation
Requires traditional cpp support and is broken in all sort of ways
with clang-cpp / -E. Can still use clang & friends for everything else.
Ideally these packages need to be built another way or last rited,
imake will just accumulate more problems.
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
x11-misc/xtrlock/xtrlock-2.13-r1.ebuild | 16 +++++++++-------
1 file changed, 9 insertions(+), 7 deletions(-)
diff --git a/x11-misc/xtrlock/xtrlock-2.13-r1.ebuild
b/x11-misc/xtrlock/xtrlock-2.13-r1.ebuild
index 6818f908f40f..fef71c7cb75b 100644
--- a/x11-misc/xtrlock/xtrlock-2.13-r1.ebuild
+++ b/x11-misc/xtrlock/xtrlock-2.13-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -12,17 +12,19 @@ SLOT="0"
LICENSE="GPL-3"
KEYWORDS="amd64 ppc x86"
-RDEPEND="virtual/libcrypt:=
+RDEPEND="
+ virtual/libcrypt:=
x11-libs/libX11"
-DEPEND="${RDEPEND}"
+DEPEND="
+ ${RDEPEND}
+ x11-base/xorg-proto"
BDEPEND="
- x11-base/xorg-proto
- >=x11-misc/imake-1.0.8-r1
-"
+ sys-devel/gcc
+ >=x11-misc/imake-1.0.8-r1"
src_configure() {
CC="$(tc-getBUILD_CC)" LD="$(tc-getLD)" \
- IMAKECPP="${IMAKECPP:-$(tc-getCPP)}" xmkmf || die
+ IMAKECPP="${IMAKECPP:-${CHOST}-gcc -E}" xmkmf || die
}
src_compile() {